import type { _NSTextElement } from "./NSTextElement.js";
import type { _NSTextRange } from "./NSTextRange.js";
import type { _NSAttributedString } from "../Foundation/NSAttributedString.js";
export declare class _NSTextParagraph extends _NSTextElement {
    static alloc(): _NSTextParagraph;
    static new(): _NSTextParagraph;
    init(): _NSTextParagraph;
    initWithAttributedString$(attributedString: _NSAttributedString | null): _NSTextParagraph;
    attributedString(): _NSAttributedString;
    /** The paragraph ranges are derived from elementRange and attributedString. */
    paragraphContentRange(): _NSTextRange | null;
    paragraphSeparatorRange(): _NSTextRange | null;
}
